# Making setting up Laravel projects easier

A few commands and helper classes to assist with setting up Laravel projects. This includes things like 
database setup.

## Installation

Add our repository to your `composer.json`

```json
{
  "repositories": [
      {
          "type": "composer",
          "url": "https://composer.drp.digital"
      }
  ],
}
```

You can install the package via composer:

```bash
composer require drp/laravel-setup
```

## Usage

``` php
// Usage description here
```

### Testing

``` bash
composer test
```

### Changelog

Please see [CHANGELOG](CHANGELOG.md) for more information what has changed recently.

## Contributing

Please see [CONTRIBUTING](CONTRIBUTING.md) for details.

### Security

If you discover any security related issues, please email chris.normansell@drpgroup.com instead of using the issue tracker.

## Credits

- [Chris Normansell](https://git.drp.digital)

## License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.
