<?php

namespace Drp\LaravelSetup\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Storage;

class SetupDusk extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'setup:dusk';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Sets up the dusk local env correctly';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        if (Storage::disk('laravel-setup:root')->exists('.env.dusk.local')) {
            Storage::disk('laravel-setup:root')->delete('.env.dusk.local');
        }

        Storage::disk('laravel-setup:root')->copy('.env.dusk.local.example', '.env.dusk.local');

        $this->call('setup:database', [
            '--env-file' => '.env.dusk.local',
            '--db-name' => 'my-project-dusk',
        ]);
    }
}
