<?php

namespace Drp\LaravelSetup\Database;

use Illuminate\Database\Connectors\ConnectionFactory;

class ConnectionVerifier
{
    /**
     * @var string
     */
    private $lastError;

    /**
     * @var ConnectionFactory
     */
    private $factory;

    public function __construct(ConnectionFactory $factory)
    {
        $this->factory = $factory;
    }

    public function __invoke(array $config): bool
    {
        try {
            $this->factory->make($config)->getPdo()->errorCode(); // Trigger exception

            return true;
        } catch (\Throwable $exception) {
            $this->lastError = $exception->getMessage();

            return false;
        }
    }

    public function getLastError(): string
    {
        return $this->lastError;
    }
}
