<?php

namespace Drp\LaravelSetup;

use Drp\LaravelSetup\Commands\SetupDatabase;
use Drp\LaravelSetup\Commands\SetupDusk;
use Drp\LaravelSetup\Initializer\Run;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\ServiceProvider;
use MadWeb\Initializer\Run as MadWebRun;

class LaravelSetupServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap the application services.
     */
    public function boot(): void
    {
        if ($this->app->runningInConsole() === false) {
            return;
        }

        $this->commands([
            SetupDatabase::class,
            SetupDusk::class,
        ]);

        Storage::set(
            'laravel-setup:root',
            Storage::createLocalDriver(['root' => base_path()])
        );
    }

    /**
     * Register the application services.
     */
    public function register(): void
    {
        $this->app->bind(MadWebRun::class, Run::class);
    }
}
